Bug 612124 - kdenetwork lacks a dependency on oxygen-icon-theme
kdenetwork lacks a dependency on oxygen-icon-theme
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
13
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-07 07:12 EDT by Gerald Pfeifer
Modified: 2010-07-13 16:42 EDT (History)
7 users (show)

See Also:
Fixed In Version: kdeaccessibility-4.4.5-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-13 16:37:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot showing the broken kopete GUI (30.66 KB, image/png)
2010-07-07 07:12 EDT, Gerald Pfeifer
no flags Details

  None (edit)
Description Gerald Pfeifer 2010-07-07 07:12:11 EDT
Created attachment 430034 [details]
Screenshot showing the broken kopete GUI

Description of problem:

kdenetwork lacks a dependency on oxygen-icon-theme.  Without this,
kopete works in principle, but looks really odd up to the point
where basic functionality such as seeing the online status of
contacts is broken.

Version-Release number of selected component (if applicable):

kdenetwork-4.4.4-1.fc13.x86_64
#
How reproducible:

Always.


Steps to Reproduce:
1. yum install kdenetwork on a GNOME desktop
2. invoke kopete
3. yum install oxygen-icon-theme
4. invoke kopete
  
Actual results:

Looks ugly, is hard to use.
Comment 1 Rex Dieter 2010-07-07 08:12:32 EDT
Yeah, we've been slowly adding
Requires: kdebase-runtime
to most non-trivial kde applications, which pulls in the icons, as well as other "assumed to be present at runtime" items.
Comment 2 Fedora Update System 2010-07-09 13:07:08 EDT
kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-2.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-3.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-2.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-3.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13
Comment 3 Gerald Pfeifer 2010-07-09 14:02:14 EDT
(In reply to comment #1)
> Yeah, we've been slowly adding
> Requires: kdebase-runtime
> to most non-trivial kde applications, which pulls in the icons, as well as
> other "assumed to be present at runtime" items.

For Kopete I believe oxygen-icon-theme is sufficient.
Comment 4 Fedora Update System 2010-07-09 15:37:07 EDT
libmsn-4.1-1.fc12,kdebase-4.4.5-1.fc12,kde-l10n-4.4.5-2.fc12,kdeaccessibility-4.4.5-1.fc12,kdeadmin-4.4.5-1.fc12,kdeartwork-4.4.5-1.fc12,kdebase-runtime-4.4.5-1.fc12,kdebase-workspace-4.4.5-1.fc12,kdebindings-4.4.5-1.fc12,kdeedu-4.4.5-1.fc12,kdegames-4.4.5-1.fc12,kdegraphics-4.4.5-2.fc12,kdelibs-4.4.5-1.fc12,kdemultimedia-4.4.5-1.fc12,kdenetwork-4.4.5-3.fc12,kdepim-4.4.5-1.fc12,kdepim-runtime-4.4.5-1.fc12,kdepimlibs-4.4.5-1.fc12,kdeplasma-addons-4.4.5-1.fc12,kdesdk-4.4.5-1.fc12,kdetoys-4.4.5-1.fc12,kdeutils-4.4.5-1.fc12,oxygen-icon-theme-4.4.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/libmsn-4.1-1.fc12,kdebase-4.4.5-1.fc12,kde-l10n-4.4.5-2.fc12,kdeaccessibility-4.4.5-1.fc12,kdeadmin-4.4.5-1.fc12,kdeartwork-4.4.5-1.fc12,kdebase-runtime-4.4.5-1.fc12,kdebase-workspace-4.4.5-1.fc12,kdebindings-4.4.5-1.fc12,kdeedu-4.4.5-1.fc12,kdegames-4.4.5-1.fc12,kdegraphics-4.4.5-2.fc12,kdelibs-4.4.5-1.fc12,kdemultimedia-4.4.5-1.fc12,kdenetwork-4.4.5-3.fc12,kdepim-4.4.5-1.fc12,kdepim-runtime-4.4.5-1.fc12,kdepimlibs-4.4.5-1.fc12,kdeplasma-addons-4.4.5-1.fc12,kdesdk-4.4.5-1.fc12,kdetoys-4.4.5-1.fc12,kdeutils-4.4.5-1.fc12,oxygen-icon-theme-4.4.5-1.fc12
Comment 5 Fedora Update System 2010-07-13 03:37:24 EDT
kdeaccessibility-4.4.5-1.fc13, kdeadmin-4.4.5-1.fc13, kdebase-4.4.5-1.fc13, kdebase-runtime-4.4.5-1.fc13, kdebase-workspace-4.4.5-1.fc13, kdebindings-4.4.5-1.fc13, kdeedu-4.4.5-1.fc13, kdegames-4.4.5-1.fc13, kdelibs-4.4.5-1.fc13, kdemultimedia-4.4.5-1.fc13, kdepim-4.4.5-1.fc13, kdepim-runtime-4.4.5-1.fc13, kdepimlibs-4.4.5-1.fc13, kdeplasma-addons-4.4.5-1.fc13, kdesdk-4.4.5-1.fc13, kdetoys-4.4.5-1.fc13, oxygen-icon-theme-4.4.5-1.fc13, kde-l10n-4.4.5-2.fc13, kdenetwork-4.4.5-3.fc13, kdeartwork-4.4.5-1.fc13, kdeutils-4.4.5-1.fc13, kdegraphics-4.4.5-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kdeaccessibility kdeadmin kdebase kdebase-runtime kdebase-workspace kdebindings kdeedu kdegames kdelibs kdemultimedia kdepim kdepim-runtime kdepimlibs kdeplasma-addons kdesdk kdetoys oxygen-icon-theme kde-l10n kdenetwork kdeartwork kdeutils kdegraphics'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/kdeartwork-4.4.5-1.fc13,kdeutils-4.4.5-1.fc13,kde-l10n-4.4.5-2.fc13,kdeaccessibility-4.4.5-1.fc13,kdeadmin-4.4.5-1.fc13,kdebase-4.4.5-1.fc13,kdebase-runtime-4.4.5-1.fc13,kdebase-workspace-4.4.5-1.fc13,kdebindings-4.4.5-1.fc13,kdeedu-4.4.5-1.fc13,kdegames-4.4.5-1.fc13,kdegraphics-4.4.5-2.fc13,kdelibs-4.4.5-1.fc13,kdemultimedia-4.4.5-1.fc13,kdenetwork-4.4.5-3.fc13,kdepim-4.4.5-1.fc13,kdepim-runtime-4.4.5-1.fc13,kdepimlibs-4.4.5-1.fc13,kdeplasma-addons-4.4.5-1.fc13,kdesdk-4.4.5-1.fc13,kdetoys-4.4.5-1.fc13,oxygen-icon-theme-4.4.5-1.fc13
Comment 6 Fedora Update System 2010-07-13 16:37:40 EDT
kdeaccessibility-4.4.5-1.fc12, kdeadmin-4.4.5-1.fc12, kdeartwork-4.4.5-1.fc12, kdebase-runtime-4.4.5-1.fc12, kdebase-workspace-4.4.5-1.fc12, kdebindings-4.4.5-1.fc12, kdeedu-4.4.5-1.fc12, kdegames-4.4.5-1.fc12, kdelibs-4.4.5-1.fc12, kdemultimedia-4.4.5-1.fc12, kdepim-4.4.5-1.fc12, kdepim-runtime-4.4.5-1.fc12, kdepimlibs-4.4.5-1.fc12, kdeplasma-addons-4.4.5-1.fc12, kdesdk-4.4.5-1.fc12, kdetoys-4.4.5-1.fc12, kdeutils-4.4.5-1.fc12, oxygen-icon-theme-4.4.5-1.fc12, kdebase-4.4.5-1.fc12, libmsn-4.1-1.fc12, kde-l10n-4.4.5-2.fc12, kdenetwork-4.4.5-3.fc12, kdegraphics-4.4.5-2.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-07-13 16:41:34 EDT
kdeaccessibility-4.4.5-1.fc13, kdeadmin-4.4.5-1.fc13, kdebase-4.4.5-1.fc13, kdebase-runtime-4.4.5-1.fc13, kdebase-workspace-4.4.5-1.fc13, kdebindings-4.4.5-1.fc13, kdeedu-4.4.5-1.fc13, kdegames-4.4.5-1.fc13, kdelibs-4.4.5-1.fc13, kdemultimedia-4.4.5-1.fc13, kdepim-4.4.5-1.fc13, kdepim-runtime-4.4.5-1.fc13, kdepimlibs-4.4.5-1.fc13, kdeplasma-addons-4.4.5-1.fc13, kdesdk-4.4.5-1.fc13, kdetoys-4.4.5-1.fc13, oxygen-icon-theme-4.4.5-1.fc13, kde-l10n-4.4.5-2.fc13, kdenetwork-4.4.5-3.fc13, kdeartwork-4.4.5-1.fc13, kdeutils-4.4.5-1.fc13, libmsn-4.1-1.fc13, kdegraphics-4.4.5-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.